function aplot(r,v,spec)
%APLOT Arrow plot where positions r and arrows v are given as Nx2 matrices.
% APLOT(r,v) plots N arrows. Both positions r and arrows v should be given
% as Nx2 matrices. Automatic scaling is turned off.
%
% Ulrich Schwarz, MPI Colloids and Interfaces, Germany

if (size(r) ~= size(v))
   error('Matrices should have same size')
end

if (nargin == 2)
   quiver(r(:,1),r(:,2),v(:,1),v(:,2),0)
elseif (nargin == 3)
   quiver(r(:,1),r(:,2),v(:,1),v(:,2),0,spec)
else   
   error('Wrong number of arguments')
end

