function data_plot(lines,focals,forces)
%DATA_PLOT Plots displacements, focal positions and forces.
% data_plot(lines) plots displacements as arrows as given by lines.
% data_plot(lines,focals) plots displacements as arrows as given by lines 
% and focal positions as squares as given by focals.
% data_plot(lines,focals,forces) plots displacements as arrows as given by lines 
% and forces at focal positions as arrows; it plots nothing for the focals themselves.
%
% Ulrich Schwarz, MPI Colloids and Interfaces, Germany

% positions where displacements are known
m1 = [lines(:,1) lines(:,2)];
% displaced positions
m2 = [lines(:,3) lines(:,4)];
% displacements
m3 = (m2-m1);

axis equal;
hold on;

% plot displacements
aplot(m1,m3,'b')

% plot focals
if (nargin == 2)
	splot(focals,'ks')
end

if (nargin == 3)
   splot(focals,'ks')
   aplot(focals,forces,'k')
end

hold off;
